<div class="drawer-side bg-base-200">
  <label for="my-drawer" class="drawer-overlay bg-base-200"></label>
  <div class="menu flex flex-col flex-nowrap p-4 overflow-y-auto w-[21rem] bg-base-200 text-base-content">
    <div class="w-fit">
      <a href="/">
        <div class="avatar transition ease-in-out w-1/2 hover:scale-[102%] block m-auto mt-3 mb-6">
          <div>
            <img class="mask mask-circle" src="/profile.jpg" alt="profile image" />
          </div>
        </div>
      </a>
    </div>
    <ul class="grow shrink">
      <!-- Sidebar content here -->
      <li><a id="home" href="/">Home</a></li>
      <li><a id="projects" href="/projects">Projects</a></li>
      <li><a id="blog" href="/blog/">Blog</a></li>
      <li><a id="cv" href="/cv">CV</a></li>
      <li><a href="mailto:jesmigel.developer@gmail.com">Contact</a></li>
    </ul>
    <div class="social-icons px-4 my-2 flex self-center">
      <a
        href="#"
        target="_blank"
        class="mx-3"
        aria-label="Support my work"
        title="Support my work"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          style="fill: currentColor;transform: ;msFilter:;"
          ><path
            fill-rule="evenodd"
            clip-rule="evenodd"
            d="M5 2h2v3H5zm4 0h2v3H9zm4 0h2v3h-2zm6 7h-2V7H3v11c0 1.654 1.346 3 3 3h8c1.654 0 3-1.346 3-3h2c1.103 0 2-.897 2-2v-5c0-1.103-.897-2-2-2zm-4 9a1 1 0 0 1-1 1H6a1 1 0 0 1-1-1V9h10v9zm2-2v-5h2l.002 5H17z"
          ></path></svg
        >
      </a>
      <a href="https://github.com/jesmigel" target="_blank" class="mx-3" aria-label="Github" title="Github">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          style="fill: currentColor;transform: ;msFilter:;"
          ><path
            fill-rule="evenodd"
            clip-rule="evenodd"
            d="M12.026 2c-5.509 0-9.974 4.465-9.974 9.974 0 4.406 2.857 8.145 6.821 9.465.499.09.679-.217.679-.481 0-.237-.008-.865-.011-1.696-2.775.602-3.361-1.338-3.361-1.338-.452-1.152-1.107-1.459-1.107-1.459-.905-.619.069-.605.069-.605 1.002.07 1.527 1.028 1.527 1.028.89 1.524 2.336 1.084 2.902.829.091-.645.351-1.085.635-1.334-2.214-.251-4.542-1.107-4.542-4.93 0-1.087.389-1.979 1.024-2.675-.101-.253-.446-1.268.099-2.64 0 0 .837-.269 2.742 1.021a9.582 9.582 0 0 1 2.496-.336 9.554 9.554 0 0 1 2.496.336c1.906-1.291 2.742-1.021 2.742-1.021.545 1.372.203 2.387.099 2.64.64.696 1.024 1.587 1.024 2.675 0 3.833-2.33 4.675-4.552 4.922.355.308.675.916.675 1.846 0 1.334-.012 2.41-.012 2.737 0 .267.178.577.687.479C19.146 20.115 22 16.379 22 11.974 22 6.465 17.535 2 12.026 2z"
          ></path>
        </svg>
      </a>      
      <a
        href="https://www.linkedin.com/in/jesmigel"
        target="_blank"
        class="mx-3"
        aria-label="Linkedin"
        title="Linkedin"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          style="fill: currentColor;transform: ;msFilter:;"
          ><circle cx="4.983" cy="5.009" r="2.188"></circle><path
            d="M9.237 8.855v12.139h3.769v-6.003c0-1.584.298-3.118 2.262-3.118 1.937 0 1.961 1.811 1.961 3.218v5.904H21v-6.657c0-3.27-.704-5.783-4.526-5.783-1.835 0-3.065 1.007-3.568 1.96h-.051v-1.66H9.237zm-6.142 0H6.87v12.139H3.095z"
          ></path>
        </svg>
      </a>

      <a href="/rss.xml" target="_blank" class="mx-3" aria-label="RSS Feed" title="RSS Feed">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          style="fill: currentColor;transform: ;msFilter:;"
          ><path d="M19 20.001C19 11.729 12.271 5 4 5v2c7.168 0 13 5.832 13 13.001h2z"></path><path
            d="M12 20.001h2C14 14.486 9.514 10 4 10v2c4.411 0 8 3.589 8 8.001z"></path><circle cx="6" cy="18" r="2"></circle>
        </svg>
      </a>
    </div>
  </div>
</div>
<script>
  const homeLink = document.getElementById("home");
  const projectsLink = document.getElementById("projects");
  const blogLink = document.getElementById("blog");
  const cvLink = document.getElementById("cv");

  var isHome = true;

  const url = window.location.href;

  const pages = [projectsLink, blogLink, cvLink];

  const activeClass = "bg-base-300"; // For primary color replace with `active` class

  pages.forEach((elem) => {
    if (url.includes(elem.id)) {
      isHome = false;
      elem.classList.add(activeClass);
    }
  });
  if (isHome) {
    homeLink.classList.add(activeClass);
  }
</script>
